OpenJPEG: opj_dparameters Struct Reference

OpenJPEG 2.3.0

Data Fields
opj_dparameters Struct Reference

Decompression parameters. More...

`#include <openjpeg.h>`

## Data Fields
OPJ_UINT32 | cp_reduce
| Set the number of highest resolution levels to be discarded. More...
OPJ_UINT32 | cp_layer
| Set the maximum number of quality layers to decode. More...
unsigned int | flags
command line decoder parameters (not used inside the library)
char | infile [OPJ_PATH_LEN]
| input file name More...
char | outfile [OPJ_PATH_LEN]
| output file name More...
int | decod_format
| input file format 0: J2K, 1: JP2, 2: JPT More...
int | cod_format
| output file format 0: PGX, 1: PxM, 2: BMP More...
OPJ_UINT32 | DA_x0
| Decoding area left boundary. More...
OPJ_UINT32 | DA_x1
| Decoding area right boundary. More...
OPJ_UINT32 | DA_y0
| Decoding area up boundary. More...
OPJ_UINT32 | DA_y1
| Decoding area bottom boundary. More...
OPJ_BOOL | m_verbose
| Verbose mode. More...
OPJ_UINT32 | tile_index
| tile number ot the decoded tile More...
OPJ_UINT32 | nb_tile_to_decode
| Nb of tile to decode. More...
JPWL decoding parameters
OPJ_BOOL | jpwl_correct
| activates the JPWL correction capabilities More...
int | jpwl_exp_comps
| expected number of components More...
int | jpwl_max_tiles
| maximum number of tiles More...

## Detailed Description

Decompression parameters.

## Field Documentation

## ◆ cod_format

int opj_dparameters::cod_format

output file format 0: PGX, 1: PxM, 2: BMP

Referenced by opj_set_default_decoder_parameters().

## ◆ cp_layer

OPJ_UINT32 opj_dparameters::cp_layer

Set the maximum number of quality layers to decode.

If there are less quality layers than the specified number, all the quality layers are decoded. if != 0, then only the first "layer" layers are decoded; if == 0 or not used, all the quality layers are decoded

Referenced by opj_j2k_setup_decoder(), and opj_set_default_decoder_parameters().

## ◆ cp_reduce

OPJ_UINT32 opj_dparameters::cp_reduce

Set the number of highest resolution levels to be discarded.

The image resolution is effectively divided by 2 to the power of the number of discarded levels. The reduce factor is limited by the smallest total number of decomposition levels among tiles. if != 0, then original dimension divided by 2^(reduce); if == 0 or not used, image is decoded to the full resolution

Referenced by opj_j2k_setup_decoder(), and opj_set_default_decoder_parameters().

## ◆ DA_x0

OPJ_UINT32 opj_dparameters::DA_x0

Decoding area left boundary.

Referenced by j2k_to_pnm().

## ◆ DA_x1

OPJ_UINT32 opj_dparameters::DA_x1

Decoding area right boundary.

Referenced by j2k_to_pnm().

## ◆ DA_y0

OPJ_UINT32 opj_dparameters::DA_y0

Decoding area up boundary.

Referenced by j2k_to_pnm().

## ◆ DA_y1

OPJ_UINT32 opj_dparameters::DA_y1

Decoding area bottom boundary.

Referenced by j2k_to_pnm().

## ◆ decod_format

int opj_dparameters::decod_format

input file format 0: J2K, 1: JP2, 2: JPT

Referenced by opj_set_default_decoder_parameters().

## ◆ flags

unsigned int opj_dparameters::flags

Referenced by opj_j2k_setup_decoder(), opj_jp2_setup_decoder(), and opj_set_default_decoder_parameters().

## ◆ infile

char opj_dparameters::infile[OPJ_PATH_LEN]

input file name

## ◆ jpwl_correct

OPJ_BOOL opj_dparameters::jpwl_correct

activates the JPWL correction capabilities

Referenced by opj_j2k_setup_decoder(), and opj_set_default_decoder_parameters().

## ◆ jpwl_exp_comps

int opj_dparameters::jpwl_exp_comps

expected number of components

Referenced by opj_j2k_setup_decoder(), and opj_set_default_decoder_parameters().

## ◆ jpwl_max_tiles

int opj_dparameters::jpwl_max_tiles

maximum number of tiles

Referenced by opj_j2k_setup_decoder(), and opj_set_default_decoder_parameters().

## ◆ m_verbose

OPJ_BOOL opj_dparameters::m_verbose

Verbose mode.

## ◆ nb_tile_to_decode

OPJ_UINT32 opj_dparameters::nb_tile_to_decode

Nb of tile to decode.

## ◆ outfile

char opj_dparameters::outfile[OPJ_PATH_LEN]

output file name

## ◆ tile_index

OPJ_UINT32 opj_dparameters::tile_index

tile number ot the decoded tile

The documentation for this struct was generated from the following file:

- openjpeg.h